%define version 0.8.8
%define rel 6
%define release %mkrel %rel

%define build_gstunstable 0
%{?_with_gstunstable: %{expand: %%global build_gstunstable 1}}
%{?_without_gstunstable: %{expand: %%global build_gstunstable 0}}

%define enable_dashboard 0
%{?_with_dashboard: %global enable_dashboard 1}

%define		gstreamer 0.8.0
%define		gstname gstreamer
%define		build_xine 0
%define 	xinever 1-0.rc4
%define		build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define build_xine 1
%define distsuffix plf
%endif

%{?_with_xine: %{expand: %%global build_xine 1}}
%{?_without_xine: %{expand: %%global build_xine 0}}

Name:		rhythmbox
Summary:	Music Management Application 
Version:	%version
Release:	%release
License:	GPL
Group:		Sound
Source:		http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/%{name}-%{version}.tar.bz2
Source1:	%name-32.png
Source2:	%name-16.png
URL:		http://www.rhythmbox.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libvorbis-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  libflac-devel
BuildRequires:  scrollkeeper
%if %build_plf
BuildRequires:  libfaac-devel
%endif
%if %build_xine
BuildRequires:	libxine-devel >= %xinever
Requires:	xine-plugins >= %xinever
%else 
BuildRequires:  gstreamer-plugins-devel >= %gstreamer
Requires:	%gstname-audiosink >= %gstreamer
Requires:	%gstname-gnomevfs >= %gstreamer
Requires:	%gstname-audio-effects >= %gstreamer
Requires:	%gstname-mad >= %gstreamer
Requires:	%gstname-flac >= %gstreamer
Requires:	%gstname-vorbis >= %gstreamer
%endif
Provides:	net-rhythmbox
Obsoletes:	net-rhythmbox
Provides:	rhythmbox0.7
Obsoletes:	rhythmbox0.7
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(post):		GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.
%if %build_xine
This package uses the Xine engine instead of the default GStreamer backend.
%endif
%if %build_plf
This package is in PLF, as it uses MPEG4 technology and might violate
some patents.
%endif

%prep
%setup -q

%build
touch config.h
export CPPFLAGS="-I. -DHAVE_STRSEP"
%configure2_5x \
%if %build_xine
--with-player=xine \
%endif
%if %enable_dashboard
    --enable-dashboard \
%endif
--enable-nautilus-menu --enable-ipod

%make WARN_CFLAGS=""


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/rhythmbox" icon="%name.png" longtitle="Music Management Application" title="Rhythmbox" needs="x11" section="Multimedia/Sound" startup_notify="true"

EOF
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/%name.png %buildroot/%_liconsdir
install -m 644 %SOURCE1  %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE2  %buildroot/%_miconsdir/%name.png

rm -f %buildroot%_libdir/bonobo/librb-nautilus-context-menu.a

%clean
rm -rf %{buildroot}

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%preun
if [ $1 -eq 0 ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null
fi

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi


%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/gconf/schemas/rhythmbox.schemas
%{_bindir}/rhythmbox
%{_datadir}/application-registry/rhythmbox.applications
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/rhythmbox.png
%{_datadir}/rhythmbox/
%{_datadir}/mime-info/rhythmbox.keys
%dir %_datadir/omf/rhythmbox/
%_datadir/omf/rhythmbox/rhythmbox-C.omf
%_datadir/idl/Rhythmbox.idl
%_libdir/bonobo/servers/*
%_libdir/bonobo/librb-nautilus-context-menu.so
%_libdir/bonobo/librb-nautilus-context-menu.la
%_libdir/pkgconfig/rhythmbox.pc
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-6mdk
- fix buildrequires

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.8-5mdk
- drop yelp dependency
- replace prereq with new requires(...) syntax

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-4mdk
- mkrel macro

* Sat Jan  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-3mdk
- rebuild

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-2plf 
- Rebuild with latest howl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- enable nautilus menu
- drop yelp-pregenerate stuff
- fix omf file listing
- update description
- new version

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-3mdk
- enable ipod

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-2mdk
- reenable libtoolize

* Thu Jun 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Wed May 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-2mdk
- fix mp4 build 
- fix xine build

* Tue May  4 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- drop plf option

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix URL
- new version

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- obsoletes rhythmbox0.7
- new version

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.10-1mdk
- gstreamer 0.8
- new version

* Tue Mar 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.8-1mdk
- allow build with gstreamer-0.8
- new version

* Sun Feb 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-1mdk
- new version

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.5-2mdk
- rebuild

* Thu Jan 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.5-1mdk
- drop merged patch
- new version

* Mon Jan 19 2004 Abel Cheung <deaddog@deaddog.org> 0.6.4-2mdk
- Add missing prereq and schemas uninstall rule
- Musicbrainz support already removed
- Patch0: Enhanced dashboard integration patch from mailing list
- Allows optionally output dashboard clue packet (--with dashboard)

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- add mp4 support with the --with plf option
- new version

* Tue Dec 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-2mdk
- support gstreamer 0.7 builds

* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- new version

* Thu Dec 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- replace patch by perl command
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- patch: fix docs
- new version

* Wed Nov 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- new version

* Thu Oct 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.88-1mdk
- remove rpmlint warning
- new version

* Sun Sep  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- add mime stuff
- drop the patch (not needed anymore)
- new version

* Sun Aug 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-2mdk
- add a --with xine switch to the spec file
- update description
- switch back to the gstreamer backend, it became much better

* Fri Aug 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- add the docs
- patch xine backend to build with rc0a
- new version

* Wed Aug 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- fix buildrequires
- use xine instead of gstreamer

* Tue Aug 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- reenable mmkeys
- new version

* Mon Aug 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- disable mmkeys ( http://bugzilla.gnome.org/show_bug.cgi?id=120096 )

* Sun Aug 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- add missing files
- fix deps
- drop ORBit workaround
- drop patch
- obsolete net-rhythmbox
- new version

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-11mdk
- patch syntax error
- fix build with new ORBit

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-10mdk
- fix build with new gcc 3.3

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-9mdk
- fix directory ownership
- remove obsolete buildrequires

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.1-8mdk
- Recompiled against latest musicbrainz

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-7mdk
- fix buildrequires

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-6mdk
- rebuild for new gstreamer

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-5mdk
- rebuild against latest gstreamer

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-4mdk
- rebuild against latest ssl

* Wed Jan  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-3mdk
- requires gstreamer-audiosink instead of forcing gstreamer-oss
- rebuild against latest gstreamer

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- rebuild

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1
- Remove patch0 (merged upstream)

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- rebuild for new gstreamer

* Fri Nov 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- adjust file list
- remove obsolete buildrequires
- buildrequires liblirc-devel
- requires latest monkey-media
- new version

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-2mdk
- rebuild with the new gstreamer

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- 0.3.0
- buildrequires libmonkey-media-devel
- patch away Werror to make it compile

* Thu Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-3mdk
- buildrequires libmad0-devel

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- fix schema installation 
- fix requires

* Tue Jul  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- mdk adaption

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
